[profile.default]
src = "src"
out = "out"
libs = ["lib", "dependencies"]

optimizer = true
optimizer_runs = 10000

solc_version = "0.8.20"
gas_reports = [
    "Fatso",
    "Ghost",
    "Stinky",
    "GhostAuthority",
    "GhostStaking",
    "GhostBondDepository",
    "GhostDistributor",
    "GhostBondingCalculator",
    "GhostTreasury",
    "GhostGovernorExposed",
]
remappings = [
    "@openzeppelin-contracts/=dependencies/@openzeppelin-contracts-5.0.2/",
    "@uniswap-v2-core/=dependencies/@uniswap-v2-core-1.0.1/contracts",
    "@uniswap-v2-periphery-1.1.0-beta.0/=dependencies/@uniswap-v2-periphery-1.1.0-beta.0/contracts",
    "forge-std-1.9.2/=dependencies/forge-std-1.9.2/",
]
fs_permissions = [{ access = "read", path = "./broadcast"}]
allow_internal_expect_revert = true

[dependencies]
forge-std = { version = "1.9.2", url = "https://soldeer-revisions.s3.amazonaws.com/forge-std/1_9_2_06-08-2024_17:31:25_forge-std-1.9.2.zip" }
"@openzeppelin-contracts" = "5.0.2"
"@uniswap-v2-core" = "1.0.1"
"@uniswap-v2-periphery" = "1.1.0-beta.0"

[rpc_endpoints]
anvil-localnet = "http://127.0.0.1:8545"
sepolia-testnet = "${SEPOLIA_TEST_RPC_URL}"
hoodi-testnet = "${HOODI_TEST_RPC_URL}"
mordor-testnet = "${MORDOR_TEST_RPC_URL}"

[etherscan]
sepolia-testnet = { key = "${SEPOLIA_TEST_API_KEY}", url = "${SEPOLIA_TEST_ENDPOINT}" }
hoodi-testnet = { key = "${HOODI_TEST_API_KEY}", url = "${HOODI_TEST_ENDPOINT}" }
mordor-testnet = { key = "${MORDOR_TEST_API_KEY}", url = "${MORDOR_TEST_ENDPOINT}", verifier = "blockscout" }
